<template>
		<el-card shadow="hover" 
			class="card" >
			<el-row>
				<label>Origen</label>
				<span>{{model.origenCalle}} {{model.origenNumero}}</span>
				<span v-if="model.origenLocalidad"> ({{model.origenLocalidad}})</span>
			</el-row>
			<el-row v-if="model.origenCalle1 || model.origenCalle1">
				<label>{{model.origenCalle1 && model.origenCalle2 ? 'Entre' : 'Esquina'}}</label>
				<span>{{model.origenCalle1}} <span v-if="model.origenCalle2">y</span> {{model.origenCalle2}}</span>
			</el-row>
			<el-divider></el-divider>
			<el-row>
				<el-col :md="18">
					<label>Destino</label>
					<span>{{model.destinoCalle}} {{model.destinoNumero}}</span>
					<span v-if="model.destinoLocalidad"> ({{model.destinoLocalidad}})</span>
				</el-col>
				<el-col :md="6" v-if="model.hora">
					<label>Reserva</label>
					<span>{{model.hora}} hs</span>
				</el-col>
			</el-row>
				<div class="buttons" >
					<slot name="actions" />
				</div>
		</el-card>

</template>
<script>
export default {
	props: {
		model: Object
	}	
}
</script>
<style scoped>
.el-card {
	margin-bottom: 10px;
	margin-top: 10px;
	/* background: rgba(224, 213, 52, 0.05); */
	font: 13px Small;
}

.el-card:hover {
	background: rgba(0,0,0,0.05);
	/* cursor: pointer; */
}

.el-divider {
	margin: 10px 0px;
}

label {
	font-weight: bold;
	width: 70px;
	display: inline-block;
}

.card {
	position: relative;
}
.buttons {
	position: absolute;;
	top: 5px;
	right: 5px;
	width: auto;
}

</style>